com.genesyslab.wfm8.API.service.session800

## Class SessionInfo2

- java.lang.Object
- - com.genesyslab.wfm8.API.service.session800.SessionInfo2

- All Implemented Interfaces:
    java.io.Serializable

      public class SessionInfo2
      extends java.lang.Object
      implements java.io.Serializable

  This structure is returned to the client, when the session is successfully established.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `lastLoginTime`
    `protected java.lang.String` | `message`
    `private static long` | `serialVersionUID`
    `protected java.util.List<ServiceInfo>` | `services` A list listing all services that can be accessed using this session
    `protected int` | `servicesNSizeIs` Size of services list
    `protected java.lang.String` | `sid` Session ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInfo2()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getLastLoginTime()` Gets the value of the lastLoginTime property.
    `java.lang.String` | `getMessage()` Gets the value of the message property.
    `java.util.List<ServiceInfo>` | `getServices()` Gets the value of the services property.
    `int` | `getServicesNSizeIs()` Gets the value of the servicesNSizeIs property.
    `java.lang.String` | `getSid()` Gets the value of the sid property.
    `int` | `hashCode()`
    `void` | `setLastLoginTime(double value)` Sets the value of the lastLoginTime property.
    `void` | `setMessage(java.lang.String value)` Sets the value of the message property.
    `void` | `setServices(java.util.List<ServiceInfo> services)` Sets the value of the services property.
    `void` | `setServicesNSizeIs(int value)` Sets the value of the servicesNSizeIs property.
    `void` | `setSid(java.lang.String value)` Sets the value of the sid property.
    `java.lang.String` | `toString()`
    `SessionInfo2` | `withLastLoginTime(double value)`
    `SessionInfo2` | `withMessage(java.lang.String value)`
    `SessionInfo2` | `withServices(java.util.Collection<ServiceInfo> values)`
    `SessionInfo2` | `withServices(ServiceInfo... values)`
    `SessionInfo2` | `withServicesNSizeIs(int value)`
    `SessionInfo2` | `withSid(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### sid

          protected java.lang.String sid

      Session ID

    - #### servicesNSizeIs

          protected int servicesNSizeIs

      Size of services list

    - #### services

          protected java.util.List<ServiceInfo> services

      A list listing all services that can be accessed using this session

    - #### message

          protected java.lang.String message

    - #### lastLoginTime

          protected double lastLoginTime

  - ### Constructor Detail

    - #### SessionInfo2

          public SessionInfo2()

  - ### Method Detail

    - #### getSid

          public java.lang.String getSid()

      Gets the value of the sid property.
      Returns:
        possible object is `String`

    - #### setSid

          public void setSid(java.lang.String value)

      Sets the value of the sid property.
      Parameters:
        `value` - allowed object is `String`

    - #### getServicesNSizeIs

          public int getServicesNSizeIs()

      Gets the value of the servicesNSizeIs property.

    - #### setServicesNSizeIs

          public void setServicesNSizeIs(int value)

      Sets the value of the servicesNSizeIs property.

    - #### getServices

          public java.util.List<ServiceInfo> getServices()

      Gets the value of the services property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the services property.

      For example, to add a new item, do as follows:

              getServices().add(newItem);

      Objects of the following type(s) are allowed in the list `ServiceInfo`

    - #### withSid

          public SessionInfo2 withSid(java.lang.String value)

    - #### withServicesNSizeIs

          public SessionInfo2 withServicesNSizeIs(int value)

    - #### withServices

          public SessionInfo2 withServices(ServiceInfo... values)

    - #### withServices

          public SessionInfo2 withServices(java.util.Collection<ServiceInfo> values)

    - #### withMessage

          public SessionInfo2 withMessage(java.lang.String value)

    - #### withLastLoginTime

          public SessionInfo2 withLastLoginTime(double value)

    - #### setServices

          public void setServices(java.util.List<ServiceInfo> services)

      Sets the value of the services property.
      Parameters:
        `services` - allowed object is `ServiceInfo`

    - #### getMessage

          public java.lang.String getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(java.lang.String value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLastLoginTime

          public double getLastLoginTime()

      Gets the value of the lastLoginTime property.
      Returns:
        possible object is `Double`

    - #### setLastLoginTime

          public void setLastLoginTime(double value)

      Sets the value of the lastLoginTime property.
      Parameters:
        `value` - allowed object is `Double`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.